logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2017-1000111

Description

Linux kernel: heap out-of-bounds in AF_PACKET sockets. This new issue is analogous to previously disclosed CVE-2016-8655. In both cases, a socket option that changes socket state may race with safety checks in packet_set_ring. Previously with PACKET_VERSION. This time with PACKET_RESERVE. The solution is similar: lock the socket for the update. This issue may be exploitable, we did not investigate further. As this issue affects PF_PACKET sockets, it requires CAP_NET_RAW in the process namespace. But note that with user namespaces enabled, any process can create a namespace in which it has CAP_NET_RAW.


Affected Package


OS OS Version Package Name Package Version
Debian 12 linux 6.0.10-1
Debian 11 linux 5.10.140-1
Debian 10 linux 4.19.249-2
Debian 999 linux 6.0.10-2

Related